import { fromEvent } from 'rxjs';
const namespace = '@@vue-formControlName-directive';
class FormControlDirectiveHandler {
    constructor(el, vnode, formControl, formControlName) {
        this.el = el;
        this.vnode = vnode;
        this.formControl = formControl;
        this.formControlName = formControlName;
        if (vnode.componentInstance) {
            this.unbind = vnode.componentInstance.$on('input', (v) => {
                this.formControl.controls[formControlName].setValue(v);
            });
        }
        else {
            this.rxUnbind = fromEvent(this.el, 'input').subscribe(v => {
                this.formControl.controls[formControlName].setValue(v);
            });
        }
    }
    doUnbind() {
        this.unbind.$off('input');
    }
}
const formControlDirective = {
    inserted(el, binding, vnode) {
        const form = document['formGroup'];
        el[`${binding.arg}handler`] = new FormControlDirectiveHandler(el, vnode, form, binding.arg);
    },
    unbind(el, binding) {
        el[`${binding.arg}handler`].doUnbind();
    },
};
export default formControlDirective;
//# sourceMappingURL=form_control.js.map