const namespace = '@@vue-formControlName-directive';
class FormControlNameDirective {
    constructor(el, vnode, formControl, formControlName) {
        this.el = el;
        this.vnode = vnode;
        this.formControl = formControl;
        this.formControlName = formControlName;
        this.formControl = formControl;
        const instance = vnode.componentInstance.$on('input', (v) => {
            this.formControl.controls[formControlName].setValue(v);
        });
        this.unbind = instance;
    }
    doUnbind() {
        this.unbind.$off('input');
    }
}
const FormControlName = {
    bind(el, binding, vnode) {
        if (binding.value) {
            const formControl = binding.value;
            if (el[`${namespace}${binding.arg}`]) {
                el[`${namespace}${binding.arg}`].doUnbind();
            }
            el[`${namespace}${binding.arg}`] = new FormControlNameDirective(el, vnode, formControl, binding.arg);
        }
    },
    unbind(el, binding, vnode) {
        if (el[`${namespace}${binding.arg}`]) {
            el[`${namespace}${binding.arg}`].doUnbind();
            el[`${namespace}${binding.arg}`] = undefined;
        }
    }
};
export default FormControlName;
//# sourceMappingURL=form_control_name.js.map